<?php
/*======================================================================*\
|| #################################################################### ||
|| # vBulletin 3.0.3 - Licence Number 239149d8
|| # ---------------------------------------------------------------- # ||
|| # Copyright ©2000–2004 Jelsoft Enterprises Ltd. All Rights Reserved. ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # ---------------- VBULLETIN IS NOT FREE SOFTWARE ---------------- # ||
|| # http://www.vbulletin.com | http://www.vbulletin.com/license.html # ||
|| #################################################################### ||
\*======================================================================*/

error_reporting(E_ALL & ~E_NOTICE);

define('THIS_SCRIPT', 'upgrade_e2d.php');
define('VERSION', '3.0.3');
define('PREV_VERSION', '3.0.3');
define('NO_LOG', true);

$phrasegroups = array();
$specialtemplates = array();

// #############################################################################
// require the code that makes it all work...
require_once('./upgradecore.php');

#####################################
# Phrasengruppen
#####################################
$phrasetypes = array(
	'GLOBAL' => 'GLOBAL',
	'Control Panel Global' => 'Kontrollzentrum: Global',
	'Permissions' => 'Rechte',
	'Forum-Related' => 'Forum-Verwaltung',
	'Calendar' => 'Kalender',
	'Attachment / Image' => 'Anhang / Grafik',
	'Style Tools' => 'Style-Tools',
	'Logging Tools' => 'Log-Tools',
	'Control Panel Home Pages' => 'Kontrollzentrum: Homepage',
	'Promotion Tools' => 'Bef&ouml;rderungs-Tools',
	'User Tools (global)' => 'Benutzer-Tools (global)',
	'FAQ  / Help Management' => 'FAQ-/Hilfe-Verwaltung',
	'SQL Tools' => 'SQL-Tools',
	'Subscription Tools' => 'Abonnement-Tools',
	'Language Tools' => 'Sprach-Tools',
	'BB Code Tools' => 'vB Code-Tools',
	'Statistics Tools' => 'Statistik-Tools',
	'Diagnostic Tools' => 'Diagnose-Tools',
	'Maintenance Tools' => 'Wartungs-Tools',
	'Profile Field Tools' => 'Profilfeld-Tools',
	'Thread Tools' => 'Themen-Tools',
	'Timezones' => 'Zeitzonen',
	'Banning Tools' => 'Sperr-Tools',
	'Reputation' => 'Renommee',
	'Who\'s Online' => 'Wer ist online',
	'Thread Management' => 'Themen-Verwaltung',
	'Private Messaging' => 'Private Nachrichten',
	'Control Panel User Management' => 'Kontrollzentrum: Benutzer-Verwaltung',
	'Registration' => 'Registrierung',
	'Access Masks' => 'Individuelle Zugriffsrechte',
	'Scheduled Tasks' => 'Zeitgesteuerte Aufgaben',
	'Moderators' => 'Moderatoren',
	'Control Panel Options' => 'Kontrollzentrum: Einstellungen',
	'Control Panel User Ranks' => 'Kontrollzentrum: Benutzerr&auml;nge',
	'Control Panel User Groups' => 'Kontrollzentrum: Benutzergruppen',
	'Holidays' => 'Feiertage',
	'Posting' => 'Themen/Beitr&auml;ge erstellen',
	'Polls' => 'Umfragen',
	'Frontend FAQ/Help' => 'Benutzeroberfl&auml;che: FAQ/Hilfe',
	'Searching' => 'Suche',
	'Show Thread' => 'Themenanzeige',
	'Postbit' => 'Beitragsanzeige',
	'Forum Display' => 'Forenanzeige',
	'Messaging' => 'Nachrichten',
	'Front-End Error Messages' => 'Benutzeroberfl&auml;che: Fehlermeldungen',
	'Front-End Redirect Messages' => 'Benutzeroberfl&auml;che: Weiterleitungen',
	'Email Body Text' => 'E-Mail Text',
	'Email Subject Text' => 'E-Mail Betreff',
	'vBulletin Settings' => 'vBulletin-Einstellungen',
	'Control Panel Help Text' => 'Kontrollzentrum: Hilfetext',
	'FAQ Title' => 'FAQ Betreff',
	'FAQ Text' => 'FAQ Text',
	'Control Panel Stop Message' => 'Kontrollzentrum: Meldungen'
);

#####################################
# Smileys
#####################################
$smileys = array(
	'Smile' => 'L&auml;cheln',
	'Embarrassment' => 'Peinlichkeit',
	'Big Grin' => 'Gro&szlig;es L&auml;cheln',
	'Wink' => 'Blinzeln',
	'Stick Out Tongue' => 'Zunge rausstrecken',
	'Cool' => 'Cool',
	'Roll Eyes (Sarcastic)' => 'Augen rollen (sarkastisch)',
	'Mad' => 'Ver&auml;rgert',
	'EEK!' => 'eek!',
	'Confused' => 'verwirrt',
	'Frown' => 'Stirnrunzeln'
);

#####################################
# Beitragssymbole
#####################################
$posticons = array(
	'Post' => 'Beitrag',
	'Arrow' => 'Pfeil',
	'Lightbulb' => 'Idee',
	'Exclamation' => 'Ausrufezeichen',
	'Question' => 'Frage',
	'Cool' => 'Cool',
	'Smile' => 'L&auml;cheln',
	'Angry' => 'B&ouml;se',
	'Unhappy' => 'Ungl&uuml;cklich',
	'Talking' => 'Reden',
	'Red face' => 'Rotes Gesicht',
	'Wink' => 'Blinzeln',
	'Thumbs down' => 'Daumen runter',
	'Thumbs up' => 'Daumen hoch'
);

#####################################
# Grafikkategorien
#####################################
$imagecategory = array(
	'Generic Avatars' => 'Allgemeine Benutzerbilder',
	'Generic Smilies' => 'Allgemeine Smileys',
	'Generic Icons' => 'Allgemeine Beitragssymbole'
);

#####################################
# Benutzer-Renommees
#####################################
$reputationlevel = array(
	'is infamous around these parts' => 'ist in Verruf geraten',
	'can only hope to improve' => 'kann nur auf Besserung hoffen',
	'has a little shameless behaviour in the past' => 'zeigte ein besch&auml;mendes Verhalten in der Vergangenheit',
	'is an unknown quantity at this point' => 'ist zur Zeit noch ein unbeschriebenes Blatt',
	'is on a distinguished road' => 'befindet sich auf einem aufstrebenden Ast',
	'will become famous soon enough' => 'wird schon bald ber&uuml;hmt werden',
	'has a spectacular aura about' => 'sorgt f&uuml;r eine eindrucksvolle Atmosph&auml;re',
	'is a jewel in the rough' => 'ist ein sehr gesch&auml;tzer Mensch',
	'is just really nice' => 'ist einfach richtig nett',
	'is a glorious beacon of light' => 'ist ein Lichtblick',
	'is a name known to all' => 'ist jedem bekannt',
	'is a splendid one to behold' => 'ist ein wunderbarer Anblick',
	'has a reputation beyond repute' => 'genie&szlig;t hohes Ansehen',
	'has a brilliant future' => 'hat eine strahlende Zukunft',
	'has much to be proud of' => 'kann auf vieles stolz sein'
);

#####################################
# Profilfelder: Titel
#####################################
$profilefieldtitle = array(
	'Biography' => 'Biografie',
	'Location' => 'Wohnort',
	'Interests' => 'Interessen',
	'Occupation' => 'Beruf'	
);

#####################################
# Profilfelder: Beschreibung
#####################################
$profilefielddesc = array(
	'A few details about yourself' => 'Angaben zu Ihrer Person',
	'Biography' => 'Angaben zu Ihrer Person',
	'Where you live' => 'Wo Sie wohnen',
	'Your hobbies, etc' => 'Ihre Hobbys, usw.',
	'Your job' => 'Ihr Beruf'	
);

#####################################
# Benutzergruppen: Name
#####################################
$usergrouptitle = array(
	'Unregistered / Not Logged In' => 'Nicht registriert / Nicht angemeldet',
	'Registered Users' => 'Registrierte Benutzer',
	'Users Awaiting Email Confirmation' => 'Benutzer, die ihr Benutzerkonto per E-Mail best&auml;tigen m&uuml;ssen',
	'(COPPA) Users Awaiting Moderation' => '(COPPA) Benutzer, die auf Freischaltung warten',
	'Super Moderators' => 'Super-Moderatoren',
	'Administrators' => 'Administratoren',
	'Moderators' => 'Moderatoren',
	'Banned Users' => 'Gesperrte Benutzer'
);

#####################################
# Benutzergruppen: Benutzertitel
#####################################
$usergroupusertitle = array(
	'Guest' => 'Gast',
	'Super Moderator' => 'Super-Moderator',
	'Administrator' => 'Administrator',
	'Moderator' => 'Moderator',
	'Banned' => 'Gesperrt'
);

#####################################
# Benutzertitel
#####################################
$usertitle = array(
	'Junior Member' => 'Neuer Benutzer',
	'Member' => 'Benutzer',
	'Senior Member' => 'Erfahrener Benutzer'
);

#####################################
# Zeitgesteuerte Aufgaben
#####################################
$crontitle = array(
	'Happy Birthday Email' => 'Geburtstags-E-Mails',
	'Thread Views' => 'Aktualisierung der Themen-Hits',
	'User Promotions' => 'Benutzer-Bef&ouml;rderungen',
	'Daily Digest' => 'T&auml;gliche Themen&uuml;bersicht',
	'Weekly Digest' => 'W&ouml;chentliche Themen&uuml;bersicht',
	'Activation Reminder Email' => 'Erinnerungs-E-Mails f&uuml;r Aktivierung',
	'Subscriptions' => 'Abonnements',
	'Hourly Cleanup #1' => 'St&uuml;ndliche Aufr&auml;umarbeiten #1',
	'Hourly Cleanup #2' => 'St&uuml;ndliche Aufr&auml;umarbeiten #2',
	'Attachment Views' => 'Aktualisierung der Anhang-Hits',
	'Restore Temporarily Banned Users' => 'Vor&uuml;bergehend gesperrte Benutzer entsperren',
	'Daily Statistics Log' => 'T&auml;gliche Statistiken'
);

#####################################
# Kalender
#####################################
$calendar = array(
	'Default Calendar' => 'Standard-Kalender'
);

#####################################
# Settings
#####################################
$engsettings = array(
	'attachpath' => '/path/to/your/attachment/directory',
	'bbclosedreason' => "<p>Sorry, the board is unavailable at the moment while we are testing some functionality.</p>\n<p>We will be back soon...</p>",
	'bbtitle' => 'Jupiter Development Forums',
	'bburl' => 'http://beta.vbulletin.com/vb3',
	'hometitle' => 'vBulletin',
	'homeurl' => 'http://www.vbulletin.com/',
	'contactusoptions' => "Site Feedback\nRegistration Problem",
	'webmasteremail' => 'dbmaster@jelsoft.com',
	'keywords' => 'vbulletin,forum,bbs,discussion,jelsoft,bulletin board',
	'description' => 'This is a discussion forum powered by vBulletin. To find out about vBulletin, go to http://www.vbulletin.com/ .',
	'dateformat' => 'm-d-Y',
	'timeformat' => 'h:i A',
	'registereddateformat' => 'M Y',
	'calformat1' => 'F j, Y',
	'calformat2' => 'F j',
	'logdateformat' => 'H:i, jS M Y',
	'reputationundefined' => 'is off the scale'
);

$gersettings = array(
	'attachpath' => '/pfad/zu/ihrem/anhangs/verzeichnis',
	'bbclosedreason' => "<p>Das Forum ist auf Grund von Wartungsarbeiten vorübergehend geschlossen.</p>\n<p>Bitte haben Sie Verständnis und versuchen Sie es später noch einmal.</p>",
	'bbtitle' => 'vBulletin 3 Forum',
	'bburl' => 'http://www.vbulletin-germany.com/forum',
	'hometitle' => 'vBulletin Germany',
	'homeurl' => 'http://www.vbulletin-germany.com/',
	'contactusoptions' => "Feedback\nProbleme bei der Registrierung",
	'webmasteremail' => 'dbmaster@vbulletin-germany.com',
	'keywords' => 'vbulletin,forum,bbs,discussion,jelsoft,adduco digital,bulletin board',
	'description' => 'Dieses Diskussionsforum wird mit vBulletin betrieben. Um mehr über vBulletin zu erfahren, besuchen Sie http://www.vbulletin-germany.com/ .',
	'dateformat' => 'd.m.Y',
	'timeformat' => 'H:i',
	'registereddateformat' => 'd.m.Y',
	'calformat1' => 'd.m.Y',
	'calformat2' => 'd.m.',
	'logdateformat' => 'H:i, d.m.Y',
	'reputationundefined' => 'ist außerhalb jeder Skala'
);

// #############################################################################
// welcome step
if ($step == 'welcome')
{
	if ($vboptions['templateversion'] == VERSION)
	{
		echo "<blockquote><p>&nbsp;</p>";
		echo "<p>Dieses Skript aktualisiert die <b>englische</b> Version von vBulletin 3.0.2 auf die <b>deutsche</b> Version.</p>";
		echo "<p>Dies beinhaltet z.B. die Smileys, Beitragssymbole, Phrasengruppen, Benutzertitel, zeitgesteuerte Aufgaben, Benutzer-Renommees, deutsche Sprachdatei etc.</p>";
		echo "<p><b>Hinweis</b>: Es werden nur Texte &uuml;bersetzt, die noch im englischen Originalzustand sind, d.h. von Ihnen bereits ver&auml;nderte Texte bleiben unangetastet.</p>";
		echo "<p><b>Achtung</b>: In Schritt 7 (<a href=\"" . THIS_SCRIPT . "?step=7\">Import der deutschen Sprachdatei</a>) wird die MASTER-LANGUAGE Ihres Forums mit der deutschen Sprachdatei &uuml;berschrieben!<br /><br />Die von Ihnen erstellten Sprachen und Phrasen bleiben jedoch erhalten.</p>";
		echo "<p>Bitte klicken Sie auf die Schaltfl&auml;che 'N&auml;chster Schritt', um fortzufahren.</p>";
		echo "<p>&nbsp;</p></blockquote>";
	}
	else
	{
		echo "<blockquote><p>&nbsp;</p>";
		echo "$vbphrase[upgrade_wrong_version]";
		echo "<p>&nbsp;</p></blockquote>";
		print_upgrade_footer();
	}
}

// #############################################################################
// step 1
if ($step == 1)
{
	// Phrasengruppen übersetzen
	foreach ($phrasetypes AS $engtitle => $gertitle)
	{
		$query[] = "UPDATE " . TABLE_PREFIX . "phrasetype
			SET title = '" . addslashes($gertitle) . "'
			WHERE title = '" . addslashes($engtitle) . "'";
		$explain[] = "Phrasengruppe \"<i>$engtitle</i>\" wird &uuml;bersetzt in \"<i>$gertitle</i>\"";
	}
	exec_queries();
}

// #############################################################################
// step 2
if ($step == 2)
{
	// Smileys übersetzen
	foreach ($smileys AS $engtitle => $gertitle)
	{
		$query[] = "UPDATE " . TABLE_PREFIX . "smilie
			SET title = '" . addslashes($gertitle) . "'
			WHERE title = '" . addslashes($engtitle) . "'";
		$explain[] = "Smiley \"<i>$engtitle</i>\" wird &uuml;bersetzt in \"<i>$gertitle</i>\"";
	}
	// Beitragssymbole übersetzen
	foreach ($posticons AS $engtitle => $gertitle)
	{
		$query[] = "UPDATE " . TABLE_PREFIX . "smilie
			SET title = '" . addslashes($gertitle) . "'
			WHERE title = '" . addslashes($engtitle) . "'";
		$explain[] = "Beitragssymbol \"<i>$engtitle</i>\" wird &uuml;bersetzt in \"<i>$gertitle</i>\"";
	}
	// Grafikkategorien übersetzen
	foreach ($imagecategory AS $engtitle => $gertitle)
	{
		$query[] = "UPDATE " . TABLE_PREFIX . "imagecategory
			SET title = '" . addslashes($gertitle) . "'
			WHERE title = '" . addslashes($engtitle) . "'";
		$explain[] = "Grafikkategorie \"<i>$engtitle</i>\" wird &uuml;bersetzt in \"<i>$gertitle</i>\"";
	}
	exec_queries();
}

// #############################################################################
// step 3
if ($step == 3)
{
	// Benutzer-Renommees übersetzen
	foreach ($reputationlevel AS $engtitle => $gertitle)
	{
		$query[] = "UPDATE " . TABLE_PREFIX . "reputationlevel
			SET level = '" . addslashes($gertitle) . "'
			WHERE level = '" . addslashes($engtitle) . "'";
		$explain[] = "Benutzer-Renommee \"<i>$engtitle</i>\" wird &uuml;bersetzt in \"<i>$gertitle</i>\"";
	}
	// Profilfelder: Titel übersetzen
	foreach ($profilefieldtitle AS $engtitle => $gertitle)
	{
		$query[] = "UPDATE " . TABLE_PREFIX . "profilefield
			SET title = '" . addslashes($gertitle) . "'
			WHERE title = '" . addslashes($engtitle) . "'";
		$explain[] = "Profilfeld (Titel) \"<i>$engtitle</i>\" wird &uuml;bersetzt in \"<i>$gertitle</i>\"";
	}
	// Profilfelder: Beschreibung übersetzen
	foreach ($profilefielddesc AS $engtitle => $gertitle)
	{
		$query[] = "UPDATE " . TABLE_PREFIX . "profilefield
			SET description = '" . addslashes($gertitle) . "'
			WHERE description = '" . addslashes($engtitle) . "'";
		$explain[] = "Profilfeld (Beschreibung) \"<i>$engtitle</i>\" wird &uuml;bersetzt in \"<i>$gertitle</i>\"";
	}
	exec_queries();
}

// #############################################################################
// step 4
if ($step == 4)
{
	// Benutzergruppen übersetzen
	foreach ($usergrouptitle AS $engtitle => $gertitle)
	{
		$query[] = "UPDATE " . TABLE_PREFIX . "usergroup
			SET title = '" . addslashes($gertitle) . "'
			WHERE title = '" . addslashes($engtitle) . "'";
		$explain[] = "Benutzergruppe \"<i>$engtitle</i>\" wird &uuml;bersetzt in \"<i>$gertitle</i>\"";
	}
	// Benutzertitel der Benutzergruppen übersetzen
	foreach ($usergroupusertitle AS $engtitle => $gertitle)
	{
		$query[] = "UPDATE " . TABLE_PREFIX . "usergroup
			SET usertitle = '" . addslashes($gertitle) . "'
			WHERE usertitle = '" . addslashes($engtitle) . "'";
		$explain[] = "Benutzertitel \"<i>$engtitle</i>\" wird &uuml;bersetzt in \"<i>$gertitle</i>\"";
	}
	// Benutzertitel der Benutzergruppen übersetzen
	foreach ($usertitle AS $engtitle => $gertitle)
	{
		$query[] = "UPDATE " . TABLE_PREFIX . "usertitle
			SET title = '" . addslashes($gertitle) . "'
			WHERE title = '" . addslashes($engtitle) . "'";
		$explain[] = "Benutzertitel \"<i>$engtitle</i>\" wird &uuml;bersetzt in \"<i>$gertitle</i>\"";
	}
	exec_queries();
}

// #############################################################################
// step 5
if ($step == 5)
{
	// Zeitgesteuerte Aufgaben übersetzen
	foreach ($crontitle AS $engtitle => $gertitle)
	{
		$query[] = "UPDATE " . TABLE_PREFIX . "cron
			SET title = '" . addslashes($gertitle) . "'
			WHERE title = '" . addslashes($engtitle) . "'";
		$explain[] = "Zeitgesteuerte Aufgabe \"<i>$engtitle</i>\" wird &uuml;bersetzt in \"<i>$gertitle</i>\"";
	}
	// Kalender übersetzen
	foreach ($calendar AS $engtitle => $gertitle)
	{
		$query[] = "UPDATE " . TABLE_PREFIX . "calendar
			SET title = '" . addslashes($gertitle) . "'
			WHERE title = '" . addslashes($engtitle) . "'";
		$explain[] = "Kalender \"<i>$engtitle</i>\" wird &uuml;bersetzt in \"<i>$gertitle</i>\"";
	}
	exec_queries();
}

// #############################################################################
// import vbulletin options
if ($step == 6)
{
	require_once('./includes/adminfunctions_options.php');

	if (!($xml = file_read('./install/vbulletin-settings.xml')))
	{
		echo '<p>' . sprintf($vbphrase['file_not_found'], 'vbulletin-settings.xml') . '</p>';
		print_cp_footer();
	}

	echo '<p>' . sprintf($vbphrase['importing_file'], 'vbulletin-settings.xml');

	xml_import_settings($xml);
	echo "<br /><span class=\"smallfont\"><b>$vbphrase[ok]</b></span></p>";

	// Einstellungen übersetzen
	foreach ($gersettings AS $settingtitle => $gervalue)
	{
		$query[] = "UPDATE " . TABLE_PREFIX . "setting
			SET value = '" . addslashes($gervalue) . "'
			WHERE value = '" . addslashes($engsettings["$settingtitle"]) . "'
			AND varname = '" . addslashes($settingtitle) . "'";
		$explain[] = "Einstellung <i>$settingtitle</i> wird &uuml;bersetzt";
	}
	exec_queries();

	// rebuild the $vboptions array
	build_options();
}

// #############################################################################
// import language
if ($step == 7)
{
	require_once('./includes/adminfunctions_language.php');

	if (!($xml = file_read('./install/vbulletin-language.xml')))
	{
		echo '<p>' . sprintf($vbphrase['file_not_found'], 'vbulletin-language.xml') . '</p>';
		print_cp_footer();
	}

	// options for new language
	$langinfo = array(
		'title' => 'Deutsch (DE)',
		'userselect' => 1,
		'languagecode' => 'de',
		'decimalsep' => ',',
		'thousandsep' => '.',
		'charset' => 'ISO-8859-1',
	);

	$langtitle = $langinfo['title'];

	echo '<p>' . sprintf($vbphrase['importing_file'], 'vbulletin-language.xml');
	if ($nomaster == 1)
	{ // import language as NEW language
		xml_import_language($xml, 0, $langinfo['title'], 1, 1);

		// get language id of imported language
		$newlanguage = $DB_site->query_first("
			SELECT MAX(languageid) AS languageid
			FROM " . TABLE_PREFIX . "language
		");
		$languageid = $newlanguage['languageid'];
	}
	else
	{ // import language AS MASTER-LANGUAGE
		$sql = "
			INSERT INTO " . TABLE_PREFIX . "language (
				title, userselect, languagecode, charset,
				decimalsep, thousandsep
			) VALUES (
				'" . addslashes($langinfo['title']) . "', $langinfo[userselect], '$langinfo[languagecode]', '$langinfo[charset]',
				'$langinfo[decimalsep]', '$langinfo[thousandsep]'
			)
		";
		$DB_site->query($sql);
		$languageid = $DB_site->insert_id();
		xml_import_language($xml);
	}

	if ($languageid != 0)
	{
		// set imported language as forum default
		$DB_site->query("
			UPDATE " . TABLE_PREFIX . "setting
			SET value = $languageid
			WHERE varname = 'languageid'
		");
		echo '<br /><span class="smallfont">Neue Sprache <i>' . $langtitle . '</i> wird als Standard festgelegt.</span>';
		exec_queries();

		// rebuild the $vboptions array
		build_options();
		$vboptions['languageid'] = $languageid;
	}

	build_language();
	echo "<br /><span class=\"smallfont\"><b>$vbphrase[ok]</b></span></p>";
}

// #############################################################################
// FINAL step (notice the SCRIPTCOMPLETE define)
if ($step == 8)
{
	?>
	<blockquote>
	<p><b>Herzlichen Gl&uuml;ckwunsch!</b>
	<br /><br />
	Sie haben Ihr englisches vBulletin 3 erfolgreich auf deutsch &uuml;bersetzt!<br />
	<br />
	<br />
	<b>Im Administrator-Kontrollzentrum m&uuml;ssen Sie noch die <a href="../<?php echo $admincpdir; ?>/misc.php?do=chooser">Benutzertitel aktualisieren</a>, damit die deutschen Texte im Forum angezeigt werden.</b><br />
	<br />
	Es kann sein, dass unter dem Punkt <a href="../<?php echo $admincpdir; ?>/language.php?do=modify">Sprachen verwalten</a> im Administrator-Kontrollzentrum  noch zus&auml;tzlich die Sprache <i>English (US)</i> angezeigt wird. Da diese Sprache durch das &Uuml;berschreiben der MASTER-LANGUAGE in den meisten F&auml;llen nicht mehr ben&ouml;tigt wird, k&ouml;nnen Sie sie l&ouml;schen. Bitte &uuml;berpr&uuml;fen Sie zuvor aber, ob diese Sprache nicht noch von Ihnen ben&ouml;tigte, selbst erstellte Phrasen enth&auml;lt.</b><br />
	<br />
	</p>
	</blockquote>
	<?php

	// tell log_upgrade_step() that the script is done
	define('SCRIPTCOMPLETE', true);
}

// #############################################################################

print_next_step();
print_upgrade_footer();

/*======================================================================*\
|| ####################################################################
|| # Downloaded: 12:37, Fri Nov 19th 2004
|| # CVS: $RCSfile: upgrade_e2d.php,v $ - $Revision: 1.16 $
|| ####################################################################
\*======================================================================*/
?>